cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
We want to make our Community work for you and we need your help. Take our short survey!
Close

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Re: Couldn't Start Dropbox - Permissions Issue

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Explorer | Level 3

Hi Lusil,

Unfortunately, support was no help to me whatsoever. Again, their guidance was to have me re-install the App, which of course is completely irrelevant when I've already taken the additional further steps of completely erasing the iMac, re-installing the OS (Mojave), adding the Apple users, and then re-installing the App. I did this 3 times, and the problem would just move back-and-forth between Apple users, depending on which Administrator installed the Dropbox App. The original poster articulated his identical situation quite well, and 3 days later nothing has been done to fix what is clearly a problem with the Dropbox App. 

"Rest assured, they’re doing their best to assist you with this." - No, sorry.  I am not assured whatsoever.  Given that Dropbox was not interested and/or able to provide a fix to their problem, I have completed the process of migrating my files out of Dropbox and into a competing cloud service as I said I would. The only reason that I continue to post on this forum is for the benefit of the next poor sap that finds themselves in the same incredibly frustrating situation to know that they are at least not alone.

Feel free to close the 'ticket', as I've uninstalled the clearly defective Dropbox App from the iMac in question, and have no intention of re-installing it in the future.

 

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

New member | Level 2
New member | Level 2

Hello,

there seems to be a bug with the file permissions of the Dropbox App. This fixed it for me:

sudo chmod -R a+x /Applications/Dropbox.app/Contents/Frameworks

I am not sure that it will survive an update, probably not. It should better be fixed by the developers.

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Explorer | Level 4

@radagast where do I type this line of text? I'm having the same issue but I don't know where to paste this text. Cheers.

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Explorer | Level 3
Copy and paste it into the ‘Terminal’ App on your Mac, then hit Enter.
Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Explorer | Level 4

Thanks. Ran it but didn't resolve the issue unfortunantly.

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Dropboxer
Dropboxer

Hi @tonywgs, sorry to hear that you're also having trouble with this. 

Could you please include the exact error log that you get when you click on the hyperlink from the pop up message? That'll help point us to the right direction. 

Thanks!


Lusil
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Explorer | Level 4

Here it goes.... My dropbox was working fine up until my wife installed dropbox under her login. Since then I have been getting this error.

I noticed when logged in under my login, the dropbox app only had my wifes login a 'Read & Write' in the permissions and sharing, where everyone and admin was just read. My own name wasn't individually listed (I have since added it with read & write permission,,,, don't know if I needed to do this)... Would appreciate if you can fix this issue asap before I'm going to jump across to google.

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 84.4.170
bn.DROPBOXEXT_VERSION: failed
bn.is_frozen: True
machine_id: edb47197-4f1b-57a9-95d1-8e13320b94bc
pid: 453
ppid: 1
uid: 502
user_info: pwd.struct_passwd(pw_name='Tony', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='Tony Stuart', pw_dir='/Users/Tony', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='Tony', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='Tony Stuart', pw_dir='/Users/Tony', pw_shell='/bin/bash')
euid: 502
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=0
parent mode=0o40755 uid=0 gid=0
HOME: '/Users/Tony'
appdata: '/Users/Tony/.dropbox'
real_path='/Users/Tony/.dropbox'
mode=0o40700 uid=502 gid=20
parent mode=0o40755 uid=502 gid=20
dropbox_path: None
not found
parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=503 gid=20
parent mode=0o40755 uid=503 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-resources/python-packages-37.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-resources/python-packages-37.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/_b/38syyxw971s2zbt58yf9jtn40000gp/T'
real_path='/private/var/folders/_b/38syyxw971s2zbt58yf9jtn40000gp/T'
mode=0o40700 uid=502 gid=20
parent mode=0o40755 uid=502 gid=20
Traceback (most recent call last):
File "dropbox/sqlite3_helpers.pyc", line 647, in conn
AttributeError: '_thread._local' object has no attribute 'conn'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/sqlite3_helpers.pyc", line 943, in __init__
File "dropbox/sqlite3_helpers.pyc", line 956, in _load_db
File "dropbox/sqlite3_helpers.pyc", line 962, in _do_migrations
File "contextlib.pyc", line 112, in __enter__
File "dropbox/sqlite3_helpers.pyc", line 661, in cursor
File "dropbox/sqlite3_helpers.pyc", line 649, in conn
File "dropbox/sqlite3_helpers.pyc", line 629, in _create_conn
File "dropbox/sqlite3_helpers.pyc", line 550, in connect
File "dropbox/sqlite3_helpers.pyc", line 541, in load_sqlite_ext
sqlite3.OperationalError: dlopen(/Applications/Dropbox.app/Contents/Frameworks/libdropbox_sqlite_ext.dylib.dylib, 10): image not found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/sqlite3_helpers.pyc", line 647, in conn
AttributeError: '_thread._local' object has no attribute 'conn'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/main.pyc", line 7725, in main_startup
File "dropbox/client/main.pyc", line 3191, in run
File "dropbox/client/main.pyc", line 1631, in startup_low
File "dropbox/client/multiaccount/instance_database.pyc", line 759, in __init__
File "dropbox/client/multiaccount/instance_database.pyc", line 153, in __init__
File "dropbox/sqlite3_helpers.pyc", line 949, in __init__
File "dropbox/sqlite3_helpers.pyc", line 910, in rebuild
File "dropbox/sqlite3_helpers.pyc", line 649, in conn
File "dropbox/sqlite3_helpers.pyc", line 629, in _create_conn
File "dropbox/sqlite3_helpers.pyc", line 550, in connect
File "dropbox/sqlite3_helpers.pyc", line 541, in load_sqlite_ext
sqlite3.OperationalError: dlopen(/Applications/Dropbox.app/Contents/Frameworks/libdropbox_sqlite_ext.dylib.dylib, 10): image not found

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Super Collaborator | Level 20

Hi @tonywgs,

Try following in terminal:

sudo chmod a+rx /Applications/Dropbox.app/Contents/Frameworks/*.dylib

Will be asked for password (sudo). If some error brings up, post terminal content exactly as is (including the command and the result - error message). Key moment is that the application is not installed by you and (as a result of some install bug) no any other user able to use particular files (missing permissions). To execute above command you have to be admin! Otherwise, login as the user who installed Dropbox application and execute above command without 'sudo' (installer have enough permissions, without escalation).

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

Explorer | Level 4

Legends. Thanks for sorting out the issue. @Здравко your solution worked a treat.

Highlighted

Re: Couldn't Start Dropbox - Permissions Issue

New member | Level 2
New member | Level 2

Same issue here with Catalina

Work Smarter with Dropbox

The way we work is changing. Share and discover new ways to work smarter with Dropbox in our community.

Sound good? Let's get started.
Need more support?